Bug 118694 - vty change causes x11/xorg mousebuffer paste
Summary: vty change causes x11/xorg mousebuffer paste
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-14 15:40 UTC by J.R. Oldroyd
Modified: 2008-03-13 14:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2007-12-14 15:40:01 UTC
When changing vtys using Ctrl-Atl-F1 then back to xorg using
Ctrl-Alt-F9, whatever text was most recently selected in the
mousebuffer is pasted back on the return to the xorg vty.

This is dangerous (and a potential security threat) as a command
could be executed when it is not expected.

System:
	FreeBSD-7.0BETA4
	xorg-7.3_1

Fix: 

This error and a patch have been posted to the xorg bugs system.  Please
add the patch to the FreeBSD port.

https://bugs.freedesktop.org/show_bug.cgi?id=13144
How-To-Repeat: 	start xorg
	open an xterm window
	use LEFT mouse button to select some text
	type Ctrl-Alt-F1 to switch to console vty
	type Ctrl-Alt-F9 to switch back to xorg
	observe that the previously selected text is now pasted
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-12-14 17:29:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer(s).
Comment 2 J.R. Oldroyd 2007-12-15 00:35:53 UTC
To clarify, the patch proposed at freedesktop.org is a patch
that will drop into our x11-drivers/xf86-input-mouse port to
fix this problem.
Comment 3 dfilter service freebsd_committer 2008-03-13 14:06:58 UTC
flz         2008-03-13 14:06:52 UTC

  FreeBSD ports repository

  Modified files:
    x11-drivers/xf86-input-mouse Makefile 
  Added files:
    x11-drivers/xf86-input-mouse/files 
                                       patch-dont-flush-buttons-6a03e8bd 
  Log:
  Add patch to fix possibly insecure mouse behavior when switching VT.
  
  PR:             ports/118694
  Submitted by:   J.R. Oldroyd <fbsd@opal.com>
  Obtained from:  fd.o xorg/driver/xf86-input-mouse repository
  Commit id:      6a03e8bd9699a33dabcdd2bbcf51a001ddfd5534
  
  Revision  Changes    Path
  1.4       +1 -0      ports/x11-drivers/xf86-input-mouse/Makefile
  1.1       +38 -0     ports/x11-drivers/xf86-input-mouse/files/patch-dont-flush-buttons-6a03e8bd (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Florent Thoumie freebsd_committer 2008-03-13 14:07:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!